Subject: cygwin OpenSSH ssh-agent on Win2000
From: "Richard Y. Kim" <[email-masked]>
To: "David Peterson" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 21 Dec 2000 22:52:44 -0800

See 

    http://sources.redhat.com/ml/cygwin/2000-08/msg00834.html

which suggested the use of setx.exe utility from the w2k
resource kit.  setx.exe allows you the set an environment
variable for the whole operating system rather than just the
particular shell that you are using.

I wrote the following bash script which I've been using a
few month:

eval `ssh-agent -s`

if [ "$OSTYPE" = "cygwin" ]; then
  setx SSH_AUTH_SOCK $SSH_AUTH_SOCK -m
  setx SSH_AGENT_PID $SSH_AGENT_PID -m
fi

>>>>> "DP" == David Peterson <[email-masked]> writes:

    DP> Hello,
    DP> Does anyone know how to start the explorer.exe process from ssh-agent when
    DP> you log into an NT/2000 system?

    DP> I'm trying to do the same as "ssh-agent /etc/X11/xinit/xclients" to make the
    DP> ssh agent available to all programs through the environment variables.

    >> From within a cygwin bash shell I can do "exec ssh-agent bash" (followed by
    DP> ssh-add) and have everything work from that shell, but of course the
    DP> variables don't exist in any other shells.

    DP> It would seem like having ssh-agent launch explorer when you log in would
    DP> work, but I don't know what to tweak where in the registry.

    DP> Thanks,
    DP> -dave.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple